<? session_start();ini_set("display_errors",1);include("header.php");?>

<script type="text/javascript" src="js/autocomplete/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/autocomplete/jquery.autocomplete.css" media="all" />
<script src="js/windowfiles/dhtmlwindow.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="js/windowfiles/dhtmlwindow.css" media="all" />
<SCRIPT type="text/javascript" src="../../../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.js"></script>
<link type="text/css" rel="stylesheet" href="../../../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.css" media="screen"></LINK>

<script>
$().ready(function() {
    $("#rveracruz").autocomplete("lista_de_referencias_veracruz.php", {
		width: 260,
		matchContains: true,
		selectFirst: false
	});
	 
	$("#rveracruz").result(function(event, data, formatted) {
		//alert(data[0]);alert(data[2]);
		$("#rveracruz").val(data[1]);
		$("#rcliente").val(data[2]);
		$("#rclientetmp").val(data[2]);
	});
});
</script>

<?  

 
foreach($_POST[jid_bl] as $value){
    $jid_bl[]=$value;
}

foreach($_POST[jbookingno] as $value){
    $jbookingno[]=$value;
} 
foreach($_POST[jtipo] as $value){
    $jtipo[]=$value;
}
$j=1;
for($r=0;$r<count($jtipo);$r++){
	$CONF1[]=isset($_POST[$j]);
	$j++;
}
 
//print_r($jbookingno);
/*print_r($jid_bl);
  print_r($nuevo_nombre);
  if(isset($_POST[guardar])){
	foreach($_POST[jbookingno] as $value){
    $jbookingno[]=$value;
}
	
}*/


require_once("comun/conex_ver.php");
require_once("comun/conexion3.php");
require_once("comun/funciones.php");

$link_impo=con_impo();$link=con_ver();
 
if(! isset($_POST[flag])){
	$flag=0;
}else{
	// guarda todo
	$flag = 1;
	
foreach($_POST[nuevo_nombre] as $value){
    $jnuevo_nombre[]=$value;
} 
 
for($r=0;$r<count($jid_bl);$r++){
	mysqli_query($link,"insert into hblexpint (`tipo`, `hbl`, `shipper`, `shipper2`, `shipper3`, `shipper4`, `shipper5`, `shipper6`, `consignee`, `consignee2`, `consignee3`, `consignee4`, `consignee5`, `consignee6`, `notify`, `notify2`, `notify3`, `notify4`, `notify5`, `notify6`, `fechaRegistro`, `status`, `registrado_por`, `tarja`, `revision`, `fecha_revision`, `cargo_vacio`, `pedimento_no`, `comentarios`, `descripcion_espanol_articulo_23`, `tipo_mercancia_articulo_23`, `regimen_articulo_23`, `factura_articulo_23`, `imo_articulo_23`, `un_articulo_23`, `transportista_articulo_23`, `nombre_del_chofer_articulo_23`, `no_licencia_articulo_23`, `placas_articulo_23`, `economico_articulo_23`, `finaldestination`, `export_reference`, `marcas_articulo_23`, `linea_articulo_23`, `cantidad_articulo_23`, `tipo_embalaje_articulo_23`, `sello_articulo_23`, `peso_neto_articulo_23`, `peso_bruto_articulo_23`, `exportador_articulo_23`, `direccion_exportador_articulo_23`, `ciudad_exportador_articulo_23`, `rfc_exportador_articulo_23`, `domicilio_agencia_aduanal_articulo_23`, `fecha_recepcion`, `hora_registro_ingreso`, `tarja_recepcion`, `tarja_averia`, `imo`, `posicion_almacen`, `pedimento`, `tratamiento_madera`, `folio_articulo_23`, `tipo_articulo_23`, `agencia_aduanal_articulo_23`, `patente_agente_aduanal_articulo_23`, `rfc_agente_aduanal_articulo_23`, `telefono_agente_aduanal_articulo_23`, `nombre_solicitante_agente_aduanal_articulo_23`, `fecha_articulo_23`, `consolidadora_articulo_23`, `facturar_a_articulo_23`, `domicilio_fiscal_articulo_23`, `rfc_articulo_23`, `observaciones_articulo_23`, `correo_electronico_facturar_a_articulo_23`) 
SELECT `tipo`, `hbl`, `shipper`, `shipper2`, `shipper3`, `shipper4`, `shipper5`, `shipper6`, `consignee`, `consignee2`, `consignee3`, `consignee4`, `consignee5`, `consignee6`, `notify`, `notify2`, `notify3`, `notify4`, `notify5`, `notify6`,   `fechaRegistro`, `status`,  `registrado_por`, `tarja`, `revision`, `fecha_revision`, `cargo_vacio`, `pedimento_no`, `comentarios`, `descripcion_espanol_articulo_23`, `tipo_mercancia_articulo_23`, `regimen_articulo_23`, `factura_articulo_23`, `imo_articulo_23`, `un_articulo_23`, `transportista_articulo_23`, `nombre_del_chofer_articulo_23`, `no_licencia_articulo_23`, `placas_articulo_23`, `economico_articulo_23`, `finaldestination`, `export_reference`, `marcas_articulo_23`, `linea_articulo_23`, `cantidad_articulo_23`, `tipo_embalaje_articulo_23`, `sello_articulo_23`, `peso_neto_articulo_23`, `peso_bruto_articulo_23`, `exportador_articulo_23`, `direccion_exportador_articulo_23`, `ciudad_exportador_articulo_23`, `rfc_exportador_articulo_23`, `domicilio_agencia_aduanal_articulo_23`, `fecha_recepcion`, `hora_registro_ingreso`, `tarja_recepcion`, `tarja_averia`, `imo`, `posicion_almacen`, `pedimento`, `tratamiento_madera`, `folio_articulo_23`, `tipo_articulo_23`, `agencia_aduanal_articulo_23`, `patente_agente_aduanal_articulo_23`, `rfc_agente_aduanal_articulo_23`, `telefono_agente_aduanal_articulo_23`, `nombre_solicitante_agente_aduanal_articulo_23`, `fecha_articulo_23`, `consolidadora_articulo_23`, `facturar_a_articulo_23`, `domicilio_fiscal_articulo_23`, `rfc_articulo_23`, `observaciones_articulo_23`, `correo_electronico_facturar_a_articulo_23` FROM `hblexpint` WHERE idhbl='".$jid_bl[$r]."'");
 
$id_bl=mysqli_insert_id($link);
 
mysqli_query($link,"update hblexpint set booking_cld = '".$jnuevo_nombre[$r]."' WHERE idhbl='".$jid_bl[$r]."'");

mysqli_query($link,"update hblexpint set booking='".$jnuevo_nombre[$r]."',referencia = '".$_POST[rcliente]."',shipper_file = '".$_POST[rcliente]."' WHERE idhbl='".$id_bl."'"); 

mysqli_query($link,"update detailcargaexpint set booking_cld = '".$jnuevo_nombre[$r]."' WHERE id_bl='".$jid_bl[$r]."'");

mysqli_query($link,"insert into detailcargaexpint (`tipo_bl`, `bulk`, `type_of_bulks`, `number_of_pieces`, `cargo`, `weight`, `measurement`, `markandnos`,   `netweight`, `harmonized_code`, `ams`, `documentado`, `rolled`, `cancelado`, `pedimento_entregado`, `largo`, `ancho`, `alto`, `revision`, `fecha_revision`, `status`, `comentarios`, `envio_interteam`, `envio_interteam_con_pedimento`, `correcciones`, `imo`, `tratamiento_madera`)
SELECT `tipo_bl`, `bulk`, `type_of_bulks`, `number_of_pieces`, `cargo`, `weight`, `measurement`, `markandnos`,   `netweight`, `harmonized_code`, `ams`, `documentado`, `rolled`, `cancelado`, `pedimento_entregado`, `largo`, `ancho`, `alto`, `revision`, `fecha_revision`, `status`, `comentarios`, `envio_interteam`, `envio_interteam_con_pedimento`, `correcciones`, `imo`, `tratamiento_madera` FROM `detailcargaexpint` WHERE `id_bl`='".$jid_bl[$r]."'");

$id_carga=mysqli_insert_id($link);
mysqli_query($link,"update detailcargaexpint set bookingno = '".$jnuevo_nombre[$r]."',id_bl='$id_bl'  WHERE id='".$id_carga."'"); 


}

}

////////////////////////////////////// dimensiones ////////////////////////////////////////////
for($r=0;$r<count($jid_bl);$r++){
$dimensionesq=mysqli_query($link,"select * from dimensiones where id_partida='".$jid_bl[$r]."'");
while($rd=mysqli_fetch_array($dimensionesq)){
mysqli_query($link,"insert into dimensiones (`booking`, `id_partida`, `numero_bultos`, `largo`, `ancho`, `alto`, `volumen`)
values ('".$jnuevo_nombre[$r]."','$id_bl','".$rd[numero_bultos]."','".$rd[largo]."','".$rd[ancho]."','".$rd[alto]."','".$rd[volumen]."')"); 

}
}
///////////////////////////////////////////////////////////////////////////////////////////////

?>
<form id="form_liberacion" name="form_liberacion" method="post" action="copiar_booking.php" >
<input value="<?=$flag?>" name="flag" id="flag" type="hidden" />
<input value="<?=$_POST[referencia]!='' ? $_POST[referencia] : $_POST[Treferencia]?>" name="referencia" type="hidden" />
<input value="<?=$_POST[referencia_cliente]!='' ? $_POST[referencia_cliente] : $_POST[Treferencia_cliente]?>" name="referencia_cliente" type="hidden" />
<input value="<?=$_POST[booking]!='' ? $_POST[booking] : $_POST[Tbooking]?>" name="booking" type="hidden" />
<input value="<?=$_POST[contenedor]!='' ? $_POST[contenedor] : $_POST[Tcontenedor]?>" name="contenedor" type="hidden" />
 
COPIAR BOOKINGS A OTRA REFERENCIA<br /><br />
<? if($flag==0){?>
<table style="line-height:22px" border="1"  >
 
 
  <tr >
    <td width="108">TIPO </td>
    <td width="218">BOOKING</td>
    <td width="108">NUEVO NOMBRE BOOKING</td>
    
  </tr>
  
 
  <? for($k=0;$k<count($CONF1);$k++){
  if($CONF1[$k]==1){?>
  <tr>
    <td><?=$jtipo[$k]?></td>
    <td><?=$jbookingno[$k]?></td>
    <td><input type="text" class="aa" id="nuevo_nombre[]" name="nuevo_nombre[]" size="25" maxlength="100" /></td>
    <input type="hidden" id="jid_bl[]" name="jid_bl[]" value="<?=$jid_bl[$k]?>" size="40" maxlength="100" />
  </tr> 
  <? }
  } ?>

</table>
<p>COPIAR A REFERENCIA:</p>
<table style="line-height:22px" border="1"  >
 
  <tr >
    <td width="204">REFERENCIA PUERTO</td>
    <td width="202"><input type="text" class="aa" id="rveracruz" name="rveracruz" size="25" maxlength="100" onkeypress="document.getElementById('rclientetmp').value=''" /></td>
    </tr>
 
  <tr>
    <td>REFERENCIA CLIENTE </td>
    <td><input type="text" class="aa" id="rcliente" name="rcliente" size="25" maxlength="100" />
    <input type="hidden"  id="rclientetmp" name="rclientetmp" size="25" maxlength="100" /></td>
  </tr>
 
</table>
<? } ?>
 <br />
  <input type="button" name="guardar" value="Guardar"
  onclick="
  elemen=document.getElementsByName('nuevo_nombre[]');
  for(k=0;k<elemen.length;k++){
  if(elemen[k].value==''){
  alert('Ingrese NUEVO NOMBRE BOOKING, faltan completar nombres de nuevo booking');
  return;
  }
  }
  if(document.getElementById('rveracruz').value=='' || document.getElementById('rcliente').value==''){
  alert('Ingrese REFERENCIA PUERTO y REFERENCIA CLIENTE');
  return;
  }
  if(document.getElementById('rclientetmp').value==''){
   alert('Use Autocompletar para ingresar REFERENCIA PUERTO y REFERENCIA CLIENTE');
   return;
  }
  document.getElementById('flag').value=1;
  document.getElementById('form_liberacion').action='copiar_booking.php';
  document.getElementById('form_liberacion').submit()
  "
  /> <input type="button" value="Regresar" onclick="document.getElementById('form_liberacion').action='avisos/index.php';
  document.getElementById('form_liberacion').submit()"/>
 
</form>

